diff --git a/arch/powerpc/cpu/mpc85xx/Kconfig b/arch/powerpc/cpu/mpc85xx/Kconfig
index a87430cdbc..88d56a9a32 100644
--- a/arch/powerpc/cpu/mpc85xx/Kconfig
+++ b/arch/powerpc/cpu/mpc85xx/Kconfig
@@ -4,6 +4,14 @@ menu "mpc85xx CPU"
 config SYS_CPU
 	default "mpc85xx"
 
+config CMD_ERRATA
+	bool "Enable the 'errata' command"
+	depends on MPC85xx
+	default y
+	help
+	  This enables the 'errata' command which displays a list of errata
+	  work-arounds which are enabled for the current board.
+
 choice
 	prompt "Target select"
 	optional
diff --git a/configs/controlcenterd_TRAILBLAZER_DEVELOP_defconfig b/configs/controlcenterd_TRAILBLAZER_DEVELOP_defconfig
index b197116f1c..95e4839b6d 100644
--- a/configs/controlcenterd_TRAILBLAZER_DEVELOP_defconfig
+++ b/configs/controlcenterd_TRAILBLAZER_DEVELOP_defconfig
@@ -1,6 +1,7 @@
 CONFIG_PPC=y
 CONFIG_IDENT_STRING=" controlcenterd trailblazer 0.01"
 CONFIG_MPC85xx=y
+# CONFIG_CMD_ERRATA is not set
 CONFIG_TARGET_CONTROLCENTERD=y
 CONFIG_SYS_EXTRA_OPTIONS="TRAILBLAZER,SPIFLASH,DEVELOP"
 CONFIG_BOOTDELAY=-2
diff --git a/configs/controlcenterd_TRAILBLAZER_defconfig b/configs/controlcenterd_TRAILBLAZER_defconfig
index aee0f3af71..ce29fc9104 100644
--- a/configs/controlcenterd_TRAILBLAZER_defconfig
+++ b/configs/controlcenterd_TRAILBLAZER_defconfig
@@ -1,6 +1,7 @@
 CONFIG_PPC=y
 CONFIG_IDENT_STRING=" controlcenterd trailblazer 0.01"
 CONFIG_MPC85xx=y
+# CONFIG_CMD_ERRATA is not set
 CONFIG_TARGET_CONTROLCENTERD=y
 CONFIG_SYS_EXTRA_OPTIONS="TRAILBLAZER,SPIFLASH"
 CONFIG_BOOTDELAY=-2
diff --git a/include/configs/B4860QDS.h b/include/configs/B4860QDS.h
index 3dff45cd6e..3ed66fa455 100644
--- a/include/configs/B4860QDS.h
+++ b/include/configs/B4860QDS.h
@@ -702,7 +702,6 @@ unsigned long get_board_ddr_clk(void);
 /*
  * Command line configuration.
  */
-#define CONFIG_CMD_ERRATA
 #define CONFIG_CMD_IRQ
 #define CONFIG_CMD_REGINFO
 
diff --git a/include/configs/BSC9131RDB.h b/include/configs/BSC9131RDB.h
index 36633bde6e..64875f3116 100644
--- a/include/configs/BSC9131RDB.h
+++ b/include/configs/BSC9131RDB.h
@@ -293,7 +293,6 @@ extern unsigned long get_sdram_size(void);
 /*
  * Command line configuration.
  */
-#define CONFIG_CMD_ERRATA
 #define CONFIG_CMD_IRQ
 #define CONFIG_CMD_REGINFO
 
diff --git a/include/configs/BSC9132QDS.h b/include/configs/BSC9132QDS.h
index 28658e4894..506fb79b35 100644
--- a/include/configs/BSC9132QDS.h
+++ b/include/configs/BSC9132QDS.h
@@ -520,7 +520,6 @@ combinations. this should be removed later
 /*
  * Command line configuration.
  */
-#define CONFIG_CMD_ERRATA
 #define CONFIG_CMD_IRQ
 #define CONFIG_CMD_REGINFO
 
diff --git a/include/configs/C29XPCIE.h b/include/configs/C29XPCIE.h
index 84365f11df..c6afb9a208 100644
--- a/include/configs/C29XPCIE.h
+++ b/include/configs/C29XPCIE.h
@@ -436,7 +436,6 @@
 /*
  * Command line configuration.
  */
-#define CONFIG_CMD_ERRATA
 #define CONFIG_CMD_IRQ
 #define CONFIG_CMD_REGINFO
 
diff --git a/include/configs/MPC8572DS.h b/include/configs/MPC8572DS.h
index 2c1be228ee..59f1cc7c8d 100644
--- a/include/configs/MPC8572DS.h
+++ b/include/configs/MPC8572DS.h
@@ -547,7 +547,6 @@
 /*
  * Command line configuration.
  */
-#define CONFIG_CMD_ERRATA
 #define CONFIG_CMD_IRQ
 #define CONFIG_CMD_REGINFO
 
diff --git a/include/configs/P1010RDB.h b/include/configs/P1010RDB.h
index 5b7d6adad3..9850fb80a0 100644
--- a/include/configs/P1010RDB.h
+++ b/include/configs/P1010RDB.h
@@ -724,7 +724,6 @@ extern unsigned long get_sdram_size(void);
 /*
  * Command line configuration.
  */
-#define CONFIG_CMD_ERRATA
 #define CONFIG_CMD_IRQ
 #define CONFIG_CMD_REGINFO
 
diff --git a/include/configs/P1022DS.h b/include/configs/P1022DS.h
index 0763cf312e..2d1564a835 100644
--- a/include/configs/P1022DS.h
+++ b/include/configs/P1022DS.h
@@ -593,7 +593,6 @@
 /*
  * Command line configuration.
  */
-#define CONFIG_CMD_ERRATA
 #define CONFIG_CMD_IRQ
 #define CONFIG_CMD_REGINFO
 
diff --git a/include/configs/P2041RDB.h b/include/configs/P2041RDB.h
index 7629fe8eb4..bcc9cc8f9c 100644
--- a/include/configs/P2041RDB.h
+++ b/include/configs/P2041RDB.h
@@ -580,7 +580,6 @@ unsigned long get_board_sys_clk(unsigned long dummy);
 /*
  * Command line configuration.
  */
-#define CONFIG_CMD_ERRATA
 #define CONFIG_CMD_IRQ
 
 #ifdef CONFIG_PCI
diff --git a/include/configs/T102xQDS.h b/include/configs/T102xQDS.h
index d8ad914515..427b6f23ae 100644
--- a/include/configs/T102xQDS.h
+++ b/include/configs/T102xQDS.h
@@ -779,7 +779,6 @@ unsigned long get_board_ddr_clk(void);
 /*
  * Command line configuration.
  */
-#define CONFIG_CMD_ERRATA
 #define CONFIG_CMD_IRQ
 #define CONFIG_CMD_REGINFO
 
diff --git a/include/configs/T102xRDB.h b/include/configs/T102xRDB.h
index 5e35ceb89a..7af377a8d9 100644
--- a/include/configs/T102xRDB.h
+++ b/include/configs/T102xRDB.h
@@ -789,7 +789,6 @@ unsigned long get_board_ddr_clk(void);
 /*
  * Command line configuration.
  */
-#define CONFIG_CMD_ERRATA
 #define CONFIG_CMD_IRQ
 #define CONFIG_CMD_REGINFO
 
diff --git a/include/configs/T1040QDS.h b/include/configs/T1040QDS.h
index cba7404c31..d7af902858 100644
--- a/include/configs/T1040QDS.h
+++ b/include/configs/T1040QDS.h
@@ -659,7 +659,6 @@ unsigned long get_board_ddr_clk(void);
 /*
  * Command line configuration.
  */
-#define CONFIG_CMD_ERRATA
 #define CONFIG_CMD_IRQ
 #define CONFIG_CMD_REGINFO
 
diff --git a/include/configs/T104xRDB.h b/include/configs/T104xRDB.h
index d2ece40d4a..6e27e513a9 100644
--- a/include/configs/T104xRDB.h
+++ b/include/configs/T104xRDB.h
@@ -772,7 +772,6 @@ $(SRCTREE)/board/freescale/t104xrdb/t1042d4_sd_rcw.cfg
 /*
  * Command line configuration.
  */
-#define CONFIG_CMD_ERRATA
 #define CONFIG_CMD_IRQ
 #define CONFIG_CMD_REGINFO
 
diff --git a/include/configs/T208xQDS.h b/include/configs/T208xQDS.h
index 02fd37d5cb..bd6c47cca5 100644
--- a/include/configs/T208xQDS.h
+++ b/include/configs/T208xQDS.h
@@ -744,7 +744,6 @@ unsigned long get_board_ddr_clk(void);
 /*
  * Command line configuration.
  */
-#define CONFIG_CMD_ERRATA
 #define CONFIG_CMD_IRQ
 #define CONFIG_CMD_REGINFO
 
diff --git a/include/configs/T208xRDB.h b/include/configs/T208xRDB.h
index faa1111e9f..fa1c9a74fc 100644
--- a/include/configs/T208xRDB.h
+++ b/include/configs/T208xRDB.h
@@ -690,7 +690,6 @@ unsigned long get_board_ddr_clk(void);
 /*
  * Command line configuration.
  */
-#define CONFIG_CMD_ERRATA
 #define CONFIG_CMD_REGINFO
 
 #ifdef CONFIG_PCI
diff --git a/include/configs/T4240RDB.h b/include/configs/T4240RDB.h
index 8ebfde19f9..f1144b2039 100644
--- a/include/configs/T4240RDB.h
+++ b/include/configs/T4240RDB.h
@@ -272,7 +272,6 @@
 /*
  * Command line configuration.
  */
-#define CONFIG_CMD_ERRATA
 #define CONFIG_CMD_IRQ
 
 #ifdef CONFIG_PCI
diff --git a/include/configs/UCP1020.h b/include/configs/UCP1020.h
index 8265f3c1ab..9cede19d4f 100644
--- a/include/configs/UCP1020.h
+++ b/include/configs/UCP1020.h
@@ -424,7 +424,6 @@
 #define CONFIG_CMD_IRQ
 #define CONFIG_CMD_IRQ
 #define CONFIG_CMD_REGINFO
-#define CONFIG_CMD_ERRATA
 
 /*
  * USB
diff --git a/include/configs/controlcenterd.h b/include/configs/controlcenterd.h
index 97faed8cca..40117b9a7f 100644
--- a/include/configs/controlcenterd.h
+++ b/include/configs/controlcenterd.h
@@ -343,7 +343,6 @@
 
 #ifndef CONFIG_TRAILBLAZER
 
-#define CONFIG_CMD_ERRATA
 #define CONFIG_CMD_IRQ
 #define CONFIG_CMD_REGINFO
 
diff --git a/include/configs/corenet_ds.h b/include/configs/corenet_ds.h
index 7e606cd794..af1573de92 100644
--- a/include/configs/corenet_ds.h
+++ b/include/configs/corenet_ds.h
@@ -593,7 +593,6 @@
 /*
  * Command line configuration.
  */
-#define CONFIG_CMD_ERRATA
 #define CONFIG_CMD_IRQ
 #define CONFIG_CMD_REGINFO
 
diff --git a/include/configs/cyrus.h b/include/configs/cyrus.h
index 435929723b..9210770d7b 100644
--- a/include/configs/cyrus.h
+++ b/include/configs/cyrus.h
@@ -411,7 +411,6 @@
 /*
  * Command line configuration.
  */
-#define CONFIG_CMD_ERRATA
 #define CONFIG_CMD_IRQ
 #define CONFIG_CMD_REGINFO
 
diff --git a/include/configs/km/kmp204x-common.h b/include/configs/km/kmp204x-common.h
index 9bfcfdefe9..664a64c55a 100644
--- a/include/configs/km/kmp204x-common.h
+++ b/include/configs/km/kmp204x-common.h
@@ -370,7 +370,6 @@ int get_scl(void);
  * additionnal command line configuration.
  */
 #define CONFIG_CMD_PCI
-#define CONFIG_CMD_ERRATA
 
 /* we don't need flash support */
 #undef CONFIG_FLASH_CFI_MTD
diff --git a/include/configs/t4qds.h b/include/configs/t4qds.h
index 55b8e3ebfc..f4f9a38b2c 100644
--- a/include/configs/t4qds.h
+++ b/include/configs/t4qds.h
@@ -241,7 +241,6 @@
 /*
  * Command line configuration.
  */
-#define CONFIG_CMD_ERRATA
 #define CONFIG_CMD_IRQ
 
 #ifdef CONFIG_PCI
diff --git a/scripts/config_whitelist.txt b/scripts/config_whitelist.txt
index d6de1d774b..0eecde12b2 100644
--- a/scripts/config_whitelist.txt
+++ b/scripts/config_whitelist.txt
@@ -383,7 +383,6 @@ CONFIG_CM922T_XA10
 CONFIG_CMDLINE_EDITING
 CONFIG_CMDLINE_PS_SUPPORT
 CONFIG_CMDLINE_TAG
-CONFIG_CMD_ERRATA
 CONFIG_CMD_ESBC_VALIDATE
 CONFIG_CMD_ETHSW
 CONFIG_CMD_FDC